
Katello - Feature #5624

Add ability to publish repos with katello-disconnected without having to run a full export

05/07/2014 07:24 PM - Mike McCune

Status: Closed   

Priority: Normal   

Assignee: Mike McCune   

Category: Inter Server Sync   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently katello-disconnected allows you to sync CDN repos and then export the content to ISO archives. This is fine for getting

content shipped manually from the disconnected host to the Katello instance.

For situations where the Katello host has direct network access to the katello-disconnected host it would be very useful to be able to

sync content directly from the http://example.com/pulp/repos directory on the system.

We need an additional command that allows the user to publish the synced content without having to perform a full export.

History

#1 - 05/07/2014 07:25 PM - Mike McCune

- Category changed from API to Inter Server Sync

#2 - 05/28/2014 02:52 PM - Mike McCune

- Status changed from New to Closed

not sure why this didn't get closed, addressed in:

commit 5e62c91c14bac4824d2c5eda670856ddc9b72aef

Merge: 4ab22b8 7abe466

Author: Mike McCune <mmccune@gmail.com>

Date:   Wed May 7 14:32:57 2014 -0700

Merge pull request #30 from mccun934/20140424-0949

 
fixes 5624 - adding a publish command
